Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here. Want to know more about what has changed? Check out the Community News blog.

Oozie & Sqoop 2 error after Upgrade Cluster from 5.8.0 to 5.8.2 from Cloduera Manager

SOLVED Go to solution

Oozie & Sqoop 2 error after Upgrade Cluster from 5.8.0 to 5.8.2 from Cloduera Manager

Explorer

Ciao,

 

I have performed an upgrade of my cluster using the upgrade feature from Cloudera manager (from 5.8.0 to 5.8.2).

I have got 2 issues:

Oozie: 

Test of whether the correct Oozie Server shared library is installed.

Bad : The Oozie Server build version(4.1.0-cdh5.8.2) and the Oozie Server shared library version(4.1.0-cdh5.8.0) do not match.

 

 

Sqoop 2 Error:

2016-09-29 16:34:31,692 INFO org.apache.sqoop.repository.JdbcRepositoryTransaction: Attempting transaction roll-back
2016-09-29 16:34:31,693 ERROR org.apache.sqoop.core.SqoopServer: Server startup failure
org.apache.sqoop.common.SqoopException: CONN_0007:Connector registration failed
at org.apache.sqoop.connector.ConnectorManager.registerConnectors(ConnectorManager.java:229)
at org.apache.sqoop.connector.ConnectorManager.initialize(ConnectorManager.java:186)
at org.apache.sqoop.connector.ConnectorManager.initialize(ConnectorManager.java:155)
at org.apache.sqoop.core.SqoopServer.initialize(SqoopServer.java:57)
at org.apache.sqoop.server.ServerInitializer.contextInitialized(ServerInitializer.java:41)
at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:4210)
at org.apache.catalina.core.StandardContext.start(StandardContext.java:4709)
at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:802)
at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:779)
at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:583)
at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:944)
at org.apache.catalina.startup.HostConfig.deployWARs(HostConfig.java:779)
at org.apache.catalina.startup.HostConfig.deployApps(HostConfig.java:505)
at org.apache.catalina.startup.HostConfig.start(HostConfig.java:1322)
at org.apache.catalina.startup.HostConfig.lifecycleEvent(HostConfig.java:325)
at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:142)
at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1068)
at org.apache.catalina.core.StandardHost.start(StandardHost.java:822)
at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1060)
at org.apache.catalina.core.StandardEngine.start(StandardEngine.java:463)
at org.apache.catalina.core.StandardService.start(StandardService.java:525)
at org.apache.catalina.core.StandardServer.start(StandardServer.java:759)
at org.apache.catalina.startup.Catalina.start(Catalina.java:595)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)
Caused by: org.apache.sqoop.common.SqoopException: JDBCREPO_0026:Upgrade required but not allowed - Connector: kite-connector
at org.apache.sqoop.repository.JdbcRepository$3.doIt(JdbcRepository.java:174)
at org.apache.sqoop.repository.JdbcRepository.doWithConnection(JdbcRepository.java:92)
at org.apache.sqoop.repository.JdbcRepository.doWithConnection(JdbcRepository.java:63)
at org.apache.sqoop.repository.JdbcRepository.registerConnector(JdbcRepository.java:158)
at org.apache.sqoop.connector.ConnectorManager.registerConnectors(ConnectorManager.java:212)
... 28 more
2016-09-29 16:34:31,695 ERROR org.apache.sqoop.server.ServerInitializer: Sqoop server failed to start

 

 

Any feedback is welcome.

 

Johann

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: Oozie & Sqoop 2 error after Upgrade Cluster from 5.8.0 to 5.8.2 from Cloduera Manager

Explorer

Sqoop Probelm solved:

 

From CM -> Sqoop -> Actions -> upgrade Sqoop

1 REPLY 1
Highlighted

Re: Oozie & Sqoop 2 error after Upgrade Cluster from 5.8.0 to 5.8.2 from Cloduera Manager

Explorer

Sqoop Probelm solved:

 

From CM -> Sqoop -> Actions -> upgrade Sqoop